<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>RideAttractionAnnual</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RideAttractionAnnual";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RideAttractionAnnual.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">statistics</a></div>
<h2 title="Class RideAttractionAnnual" class="title">Class RideAttractionAnnual</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>statistics.RideAttractionAnnual</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">RideAttractionAnnual</span>
extends java.lang.Object</pre>
<div class="block">Theme park application.
 Main class for annual ride attraction data management</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#attraction">attraction</a></span></code></th>
<td class="colLast">
<div class="block">Link to attraction</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#daysList">daysList</a></span></code></th>
<td class="colLast">
<div class="block">Array of ride attraction data accumulated per day.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monthsList">monthsList</a></span></code></th>
<td class="colLast">
<div class="block">Array of ride attraction data accumulated by months.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#status">status</a></span></code></th>
<td class="colLast">
<div class="block">Link to attraction status</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#year">year</a></span></code></th>
<td class="colLast">
<div class="block">Year of cumulative statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,attractions.Attraction,attractions.AttractionStatus)">RideAttractionAnnual</a></span>&#8203;(int&nbsp;year,
                    <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                    <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#accumulate(java.time.LocalDate,int,boolean)">accumulate</a></span>&#8203;(java.time.LocalDate&nbsp;date,
          int&nbsp;quantity,
          boolean&nbsp;children)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantity on the indicated day and month</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#accumulateAdults(java.time.LocalDate,int)">accumulateAdults</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantity on the indicated day and month</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#accumulateChildren(java.time.LocalDate,int)">accumulateChildren</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                  int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantity on the indicated day and month</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code><a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttraction()">getAttraction</a></span>()</code></th>
<td class="colLast">
<div class="block">Attraction of the statistics</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttractionActiveForMonth(int)">getAttractionActiveForMonth</a></span>&#8203;(int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Get the number of active days of the attraction for the year and month indicated</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttractionActiveForPeriod(java.time.LocalDate,java.time.LocalDate)">getAttractionActiveForPeriod</a></span>&#8203;(java.time.LocalDate&nbsp;dateFrom,
                            java.time.LocalDate&nbsp;dateTo)</code></th>
<td class="colLast">
<div class="block">Get the number of active days of the attraction for the period indicated</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttractionActiveForYear()">getAttractionActiveForYear</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the number of active days of the attraction for the year indicated</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Get attraction id</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code><a href="RideAttraction.html" title="class in statistics">RideAttraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRideAttractionDay(int)">getRideAttractionDay</a></span>&#8203;(int&nbsp;dayOfYear)</code></th>
<td class="colLast">
<div class="block">Obtain data of the indicated day of year</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code><a href="RideAttraction.html" title="class in statistics">RideAttraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRideAttractionMonth(int)">getRideAttractionMonth</a></span>&#8203;(int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Obtain data of the indicated month</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code><a href="RideAttraction.html" title="class in statistics">RideAttraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRideAttractionYear()">getRideAttractionYear</a></span>()</code></th>
<td class="colLast">
<div class="block">Obtains the accumulated data of the year</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getYear()">getYear</a></span>()</code></th>
<td class="colLast">
<div class="block">Year of the statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="attraction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attraction</h4>
<pre>private final&nbsp;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a> attraction</pre>
<div class="block">Link to attraction</div>
</li>
</ul>
<a id="status">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>private final&nbsp;<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a> status</pre>
<div class="block">Link to attraction status</div>
</li>
</ul>
<a id="year">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>year</h4>
<pre>private final&nbsp;int year</pre>
<div class="block">Year of cumulative statistics</div>
</li>
</ul>
<a id="monthsList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>monthsList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&gt; monthsList</pre>
<div class="block">Array of ride attraction data accumulated by months.
 The zero element contains the annual cumulative</div>
</li>
</ul>
<a id="daysList">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>daysList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&gt; daysList</pre>
<div class="block">Array of ride attraction data accumulated per day.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,attractions.Attraction,attractions.AttractionStatus)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RideAttractionAnnual</h4>
<pre>public&nbsp;RideAttractionAnnual&#8203;(int&nbsp;year,
                            <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                            <a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>status</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="accumulate(java.time.LocalDate,int,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulate</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;accumulate&#8203;(java.time.LocalDate&nbsp;date,
                        int&nbsp;quantity,
                        boolean&nbsp;children)</pre>
<div class="block">Accumulate the quantity on the indicated day and month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>quantity</code> - </dd>
<dd><code>children</code> - </dd>
</dl>
</li>
</ul>
<a id="accumulateAdults(java.time.LocalDate,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulateAdults</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;accumulateAdults&#8203;(java.time.LocalDate&nbsp;date,
                             int&nbsp;quantity)</pre>
<div class="block">Accumulate the quantity on the indicated day and month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>quantity</code> - </dd>
</dl>
</li>
</ul>
<a id="accumulateChildren(java.time.LocalDate,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulateChildren</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;accumulateChildren&#8203;(java.time.LocalDate&nbsp;date,
                               int&nbsp;quantity)</pre>
<div class="block">Accumulate the quantity on the indicated day and month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>quantity</code> - </dd>
</dl>
</li>
</ul>
<a id="getRideAttractionMonth(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRideAttractionMonth</h4>
<pre class="methodSignature">public&nbsp;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&nbsp;getRideAttractionMonth&#8203;(int&nbsp;month)</pre>
<div class="block">Obtain data of the indicated month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>RideAttraction</dd>
</dl>
</li>
</ul>
<a id="getRideAttractionDay(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRideAttractionDay</h4>
<pre class="methodSignature">public&nbsp;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&nbsp;getRideAttractionDay&#8203;(int&nbsp;dayOfYear)</pre>
<div class="block">Obtain data of the indicated day of year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dayOfYear</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>RideAttraction</dd>
</dl>
</li>
</ul>
<a id="getRideAttractionYear()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRideAttractionYear</h4>
<pre class="methodSignature">public&nbsp;<a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&nbsp;getRideAttractionYear()</pre>
<div class="block">Obtains the accumulated data of the year</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>RideAttraction</dd>
</dl>
</li>
</ul>
<a id="getAttraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttraction</h4>
<pre class="methodSignature">public&nbsp;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;getAttraction()</pre>
<div class="block">Attraction of the statistics</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Attraction</dd>
</dl>
</li>
</ul>
<a id="getAttractionActiveForMonth(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttractionActiveForMonth</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAttractionActiveForMonth&#8203;(int&nbsp;month)</pre>
<div class="block">Get the number of active days of the attraction for the year and month indicated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getAttractionActiveForPeriod(java.time.LocalDate,java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttractionActiveForPeriod</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAttractionActiveForPeriod&#8203;(java.time.LocalDate&nbsp;dateFrom,
                                        java.time.LocalDate&nbsp;dateTo)</pre>
<div class="block">Get the number of active days of the attraction for the period indicated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dateFrom</code> - </dd>
<dd><code>dateTo</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getAttractionActiveForYear()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttractionActiveForYear</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAttractionActiveForYear()</pre>
<div class="block">Get the number of active days of the attraction for the year indicated</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getId()</pre>
<div class="block">Get attraction id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getYear()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getYear</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getYear()</pre>
<div class="block">Year of the statistics</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RideAttractionAnnual.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
